passenger-status(8)

NAME

passenger-status - inspect Phusion Passenger's internal status

SYNOPSIS

passenger-status [pid]

DESCRIPTION

passenger-status looks at the current status of a Phusion Passenger installation. It will locate Phusion Passenger automatically if it is running and will give you a list of instances if there is more than one Phusion Passenger instance running. You can then select the instance by specifying the relevant PID on the command line.

The general information section shows the following details:

max The maximum number of application instances that Phusion Passenger will spawn. This equals the value given for PassengerMaxPoolSize in the configuration.

count
    The number of application instances that are currently alive. This value is always less than or equal to max.

active
    The number of application instances that are currently processing requests. This value is always less than or equal to count.

inactive
    The number of application instances that are currently not processing requests, i.e. are idle. Idle application instances will be shutdown after a while, as can be specified with PassengerPoolIdleTime in the configuration. The value of inactive equals count - active.

The applications section shows each application instance, which directory it belongs to. The sessions field shows how many HTTP client are currently being processed by that application instance.

OPTIONS

pid The process ID of the Phusion Passenger instance you want to look at

SEE ALSO

passenger-memory-stats(8), ps(1), top(1)

User guide at https://www.phusionpassenger.com/documentation_and_support

AUTHOR

Phusion Passenger is written by Phusion (http://www.phusion.nl)

This manual page was written by Neil Wilson <neil@brightbox.co.uk> for the Ubuntu project (but may be used by others).